/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
/* recursive includes / defines issue forces separate header for properties.
perhaps - better - all gdom gtk functions should be in here!*/
#ifndef __GdomDOMWindow_H___PROP_
#define __GdomDOMWindow_H___PROP_
#include <webkit/webkitdefines.h>
#include "gdom/GdomBarInfo.h"
#include "gdom/GdomConsole.h"
#include "gdom/GdomDOMApplicationCache.h"
#include "gdom/GdomDOMWindow.h"
#include "gdom/GdomDocument.h"
#include "gdom/GdomElement.h"
#include "gdom/GdomHistory.h"
#include "gdom/GdomLocation.h"
#include "gdom/GdomNavigator.h"
#include "gdom/GdomScreen.h"
#include "gdom/GdomStorage.h"
#include "gdom/PrivateGdomBarInfo.h"
#include "gdom/PrivateGdomConsole.h"
#include "gdom/PrivateGdomDOMApplicationCache.h"
#include "gdom/PrivateGdomDOMWindow.h"
#include "gdom/PrivateGdomDocument.h"
#include "gdom/PrivateGdomElement.h"
#include "gdom/PrivateGdomHistory.h"
#include "gdom/PrivateGdomLocation.h"
#include "gdom/PrivateGdomNavigator.h"
#include "gdom/PrivateGdomScreen.h"
#include "gdom/PrivateGdomStorage.h"
#include "gdom/PrivateIntGdomBarInfo.h"
#include "gdom/PrivateIntGdomConsole.h"
#include "gdom/PrivateIntGdomDOMApplicationCache.h"
#include "gdom/PrivateIntGdomDOMWindow.h"
#include "gdom/PrivateIntGdomDocument.h"
#include "gdom/PrivateIntGdomElement.h"
#include "gdom/PrivateIntGdomHistory.h"
#include "gdom/PrivateIntGdomLocation.h"
#include "gdom/PrivateIntGdomNavigator.h"
#include "gdom/PrivateIntGdomScreen.h"
#include "gdom/PrivateIntGdomStorage.h"
#include "glib-object.h"


G_BEGIN_DECLS
G_END_DECLS

#endif /* __GdomDOMWindow_H___PROP_*/
